{ pkgs, config, ... }:
{
  packages = [
    pkgs.yarn
  ];

  hosts."yeswiki.test" = "127.0.0.1";

  languages.javascript.enable = true;
  languages.php = {
    enable = true;
    version = "8.2";
    ini = ''
      memory_limit = 512M
    '';
    fpm.pools.web = {
      # user = "mrflos";
      settings = {
        # "clear_env" = "no";
        # "listen.owner" = "mrflos";
        "pm" = "dynamic";
        "pm.max_children" = 5;
        "pm.start_servers" = 2;
        "pm.min_spare_servers" = 1;
        "pm.max_spare_servers" = 5;
      };
    };
  };

  services.mysql = {
    enable = true;
    package = pkgs.mariadb;
  };

  services.caddy = {
    enable = true;
    virtualHosts."http://yeswiki.test" = {
      extraConfig = ''
        root * /var/www/yeswiki
        php_fastcgi unix/${config.languages.php.fpm.pools.web.socket}
        file_server
      '';
    };
  };

  env.GREET = "Environnement de développement de mrflos";
  enterShell = ''
    echo $GREET
  '';
}